CEL: Crystal Entity Layer: iCelExpression Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelExpression Struct Reference

Interface for a single expression. More...

`#include <tools/expression.h>`

List of all members.

## Public Member Functions
virtual bool | Execute (iCelEntity *entity, celData &ret)=0
| Execute this expression.
virtual size_t | FindLocalVariable (const char *name) const =0
| Find a local variable for this expression.
virtual const csStringArray & | GetLocalVariables () const =0
| Get an array of local variables.
virtual void | SetLocalVariable (size_t idx, const celData &value)=0
| Set the value of a local variable.
virtual void | SetLocalVariableBool (size_t idx, bool value)=0
| Set the value of a local variable. Do this before calling Execute().
virtual void | SetLocalVariableColor (size_t idx, const csColor &value)=0
| Set the value of a local variable. Do this before calling Execute().
virtual void | SetLocalVariableFloat (size_t idx, float value)=0
| Set the value of a local variable. Do this before calling Execute().
virtual void | SetLocalVariableLong (size_t idx, int32 value)=0
| Set the value of a local variable. Do this before calling Execute().
virtual void | SetLocalVariableString (size_t idx, const char *value)=0
| Set the value of a local variable. Do this before calling Execute().
virtual void | SetLocalVariableULong (size_t idx, uint32 value)=0
| Set the value of a local variable. Do this before calling Execute().
virtual void | SetLocalVariableVector2 (size_t idx, const csVector2 &value)=0
| Set the value of a local variable. Do this before calling Execute().
virtual void | SetLocalVariableVector3 (size_t idx, const csVector3 &value)=0
| Set the value of a local variable. Do this before calling Execute().

## Detailed Description

Interface for a single expression.

Definition at line 36 of file expression.h.

## Member Function Documentation

virtual bool iCelExpression::Execute | ( | iCelEntity * | entity,
|  | celData & | ret |
| ) |  |  | `[pure virtual]`

Execute this expression.

Return the result of the expression in 'ret'.

Parameters:

  | entity | is an optional entity context.

Returns:
  false if there is an error.

virtual size_t iCelExpression::FindLocalVariable | ( | const char * | name | ) | const`[pure virtual]`

Find a local variable for this expression.

Returns csArrayItemNotFound if local variable is not present.

virtual const csStringArray& iCelExpression::GetLocalVariables | ( |  | ) | const`[pure virtual]`

Get an array of local variables.

virtual void iCelExpression::SetLocalVariable | ( | size_t | idx,
|  | const celData & | value |
| ) |  |  | `[pure virtual]`

Set the value of a local variable.

virtual void iCelExpression::SetLocalVariableBool | ( | size_t | idx,
|  | bool | value |
| ) |  |  | `[pure virtual]`

Set the value of a local variable. Do this before calling Execute().

virtual void iCelExpression::SetLocalVariableColor | ( | size_t | idx,
|  | const csColor & | value |
| ) |  |  | `[pure virtual]`

Set the value of a local variable. Do this before calling Execute().

virtual void iCelExpression::SetLocalVariableFloat | ( | size_t | idx,
|  | float | value |
| ) |  |  | `[pure virtual]`

Set the value of a local variable. Do this before calling Execute().

virtual void iCelExpression::SetLocalVariableLong | ( | size_t | idx,
|  | int32 | value |
| ) |  |  | `[pure virtual]`

Set the value of a local variable. Do this before calling Execute().

virtual void iCelExpression::SetLocalVariableString | ( | size_t | idx,
|  | const char * | value |
| ) |  |  | `[pure virtual]`

Set the value of a local variable. Do this before calling Execute().

virtual void iCelExpression::SetLocalVariableULong | ( | size_t | idx,
|  | uint32 | value |
| ) |  |  | `[pure virtual]`

Set the value of a local variable. Do this before calling Execute().

virtual void iCelExpression::SetLocalVariableVector2 | ( | size_t | idx,
|  | const csVector2 & | value |
| ) |  |  | `[pure virtual]`

Set the value of a local variable. Do this before calling Execute().

virtual void iCelExpression::SetLocalVariableVector3 | ( | size_t | idx,
|  | const csVector3 & | value |
| ) |  |  | `[pure virtual]`

Set the value of a local variable. Do this before calling Execute().

The documentation for this struct was generated from the following file:

- tools/expression.h